%define upstream_name    Sort-Key-IPv4
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Sort IP v4 addresses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sort/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sort::Key)
BuildRequires: perl-devel

%description
This module extends the the Sort::Key manpage family of modules to support
sorting of IP v4 addresses and networks.

IPv4 addresses have to match the regular expression
'/^\d+\.\d+\.\d+\.\d+$/'. For instance '192.168.20.102'.

IPv4 networks have to match the regular expression
'/^\d+\.\d+\.\d+\.\d+\/\d+$/'. For instance '10.2.4.0/24'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.30.0-11pclos2017
- rebuild against updates

